---
layout: default
title: Module Source
parent: Features
nav_order: 2
---

# Module Source
The source tells `Terraform` where to find the source code for the desired module. The `source` must be a valid Terraform module source. See [Module sources](https://www.terraform.io/language/modules/sources)

The module source can be specified in `spec.module.source` field. A module version can also be specified in `spec.module.version`

```yaml
apiVersion: run.terraform-operator.io/v1alpha1
kind: Terraform
...
spec:
  ...
  module:
    source: IbraheemAlSaady/test/module
    version: "0.0.2"
```

To specify a source from a `private git repo`, see the [git auth section](./git-ssh.md)