---
layout: default
title: Variable Files
parent: Features
nav_order: 4
---

# Variable Files
Variable files can be mounted into the run job from configmap or a secret. Here is an example

```yaml
apiVersion: v1
kind: ConfigMap
metadata:
  name: common-cfg
data:
  common.tfvars: |-
    length = 20
---
apiVersion: run.terraform-operator.io/v1alpha1
kind: Terraform
...
spec:
  ...
  variableFiles:
    - key: common-config
      valueFrom:
        configMap:
          name: common-cfg

        # secret:
        #   secretName: my-secret-var-file
```

The configmap/secret key must end with the an extension `.tfvars` or `.tf`